pcl::tracking::PointCoherence< PointInT > Class Template Referenceabstract

PointCoherence is a base class to compute coherence between the two points. More...

`#include <pcl/tracking/coherence.h>`

Inheritance diagram for pcl::tracking::PointCoherence< PointInT >:

## Public Types

typedef boost::shared_ptr< PointCoherence< PointInT > > | Ptr
typedef boost::shared_ptr< const PointCoherence< PointInT > > | ConstPtr

## Public Member Functions

| PointCoherence ()
| empty constructor More...
virtual | ~PointCoherence ()
| empty distructor More...
double | compute (PointInT &source, PointInT &target)
| compute coherence from the source point to the target point. More...

## Protected Member Functions

virtual double | computeCoherence (PointInT &source, PointInT &target)=0
| abstract method to calculate coherence. More...
const std::string & | getClassName () const
| Get a string representation of the name of this class. More...

## Protected Attributes

std::string | coherence_name_
| The coherence name. More...

## Detailed Description

### template<typename PointInT>
class pcl::tracking::PointCoherence< PointInT >

PointCoherence is a base class to compute coherence between the two points.

Author
  Ryohei Ueda

Definition at line 17 of file coherence.h.

## Member Typedef Documentation

template<typename PointInT>

typedef boost::shared_ptr< const PointCoherence<PointInT> > pcl::tracking::PointCoherence< PointInT >::ConstPtr

Definition at line 21 of file coherence.h.

template<typename PointInT>

typedef boost::shared_ptr< PointCoherence<PointInT> > pcl::tracking::PointCoherence< PointInT >::Ptr

Definition at line 20 of file coherence.h.

## Constructor & Destructor Documentation

template<typename PointInT>

pcl::tracking::PointCoherence< PointInT >::PointCoherence | ( |  | ) |

inline

empty constructor

Definition at line 25 of file coherence.h.

template<typename PointInT>

virtual pcl::tracking::PointCoherence< PointInT >::~PointCoherence | ( |  | ) |

inline virtual

empty distructor

Definition at line 28 of file coherence.h.

References pcl::tracking::PointCoherence< PointInT >::compute().

## Member Function Documentation

template<typename PointInT>

double pcl::tracking::PointCoherence< PointInT >::compute | ( | PointInT & | source,
|  | PointInT & | target
| ) |  |

inline

compute coherence from the source point to the target point.

Parameters

  source | instance of source point.
  target | instance of target point.

Definition at line 13 of file coherence.hpp.

Referenced by pcl::tracking::PointCloudCoherence< PointInT >::~PointCloudCoherence(), and pcl::tracking::PointCoherence< PointInT >::~PointCoherence().

template<typename PointInT>

virtual double pcl::tracking::PointCoherence< PointInT >::computeCoherence | ( | PointInT & | source,
|  | PointInT & | target
| ) |  |

protected pure virtual

abstract method to calculate coherence.

Parameters

  [in] | source | instance of source point.
  [in] | target | instance of target point.

Implemented in pcl::tracking::HSVColorCoherence< PointInT >, pcl::tracking::DistanceCoherence< PointInT >, and pcl::tracking::NormalCoherence< PointInT >.

Referenced by pcl::tracking::PointCloudCoherence< PointInT >::setTargetCloud().

template<typename PointInT>

const std::string& pcl::tracking::PointCoherence< PointInT >::getClassName | ( |  | ) | const

inline protected

Get a string representation of the name of this class.

Definition at line 51 of file coherence.h.

## Member Data Documentation

template<typename PointInT>

std::string pcl::tracking::PointCoherence< PointInT >::coherence_name_

protected

The coherence name.

Definition at line 40 of file coherence.h.

Referenced by pcl::tracking::PointCloudCoherence< PointInT >::getClassName().

The documentation for this class was generated from the following files:

- /build/pcl-6_P28C/pcl-1.7.2/tracking/include/pcl/tracking/coherence.h
- /build/pcl-6_P28C/pcl-1.7.2/tracking/include/pcl/tracking/impl/coherence.hpp